function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import classnames from 'classnames';
import React, { useState } from 'react';
import SplitPane from 'react-split-pane';
import { useSnapshot } from 'valtio';
import { AIChatStore } from "../../../../model/AIChat";
import { ConversationsMenu } from "../ConversationsMenu";
import styles from "./index.module.less";
function SessionLayout(props) {
  var children = props.children;
  var snap = useSnapshot(AIChatStore);
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isDragging = _useState2[0],
    setIsDragging = _useState2[1];
  if (!Array.isArray(children)) {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: styles.container
  }, /*#__PURE__*/React.createElement(ConversationsMenu, null), snap.codeBlock ?
  /*#__PURE__*/
  // @ts-ignore
  React.createElement(SplitPane, {
    split: "vertical",
    defaultSize: '50vw',
    onDragStarted: function onDragStarted() {
      return setIsDragging(true);
    },
    onDragFinished: function onDragFinished() {
      return setIsDragging(false);
    },
    primary: "second",
    style: {
      position: 'unset'
    },
    minSize: 100
  }, /*#__PURE__*/React.createElement("div", {
    className: classnames(styles.msgBox)
  }, children[0]), /*#__PURE__*/React.createElement("div", {
    className: styles.taskBox
  }, children[1])) : /*#__PURE__*/React.createElement("div", {
    className: classnames(styles.msgBox, styles.msgBoxFull),
    key: snap.codeBlock
  }, children[0]), isDragging && /*#__PURE__*/React.createElement("div", {
    style: {
      position: 'fixed',
      top: 0,
      left: 0,
      right: 0,
      bottom: 0,
      zIndex: 9999,
      cursor: 'col-resize' // 或 'row-resize' 用于水平分割
    }
  }));
}
export { SessionLayout };